% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AIC.list.R
\name{AIC.list}
\alias{AIC.list}
\title{Assess the AIC for all models in a list of models}
\usage{
\method{AIC}{list}(object, ..., assess.best = TRUE)
}
\arguments{
\item{object}{the list of models}

\item{\dots}{parameters passed to the underlying AIC function
(typically the parameter k)}

\item{assess.best}{determine which model is the best (by lowest
AIC)}
}
\value{
a data frame with row names matching the names of the list
\code{x} and columns for degrees of freedom (\code{df}) and
\code{AIC}.  If \code{assess.best} is true, then there will be
another column \code{isBest}.
}
\description{
Assess the AIC for all models in a list of models
}
\seealso{
\code{\link{get.best.model}}
}
