% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class-PKNCAconc.R, R/class-PKNCAdata.R,
%   R/class-PKNCAdose.R
\name{split.PKNCAconc}
\alias{split.PKNCAconc}
\alias{split.PKNCAdata}
\alias{split.PKNCAdose}
\title{Divide into groups}
\usage{
\method{split}{PKNCAconc}(x, f = getGroups(x), drop = TRUE, ...)

\method{split}{PKNCAdata}(x, ...)

\method{split}{PKNCAdose}(x, f = getGroups(x), drop = TRUE, ...)
}
\arguments{
\item{x}{the object to split}

\item{f}{the groups to use for splitting the object}

\item{drop}{logical indicating if levels that do not occur should be 
dropped.}

\item{...}{Ignored.}
}
\value{
A list of objects with an attribute of groupid consisting of 
  a data.frame with columns for each group.
}
\description{
\code{split.PKNCAconc} divides data into individual groups defined by
\code{\link{getGroups.PKNCAconc}}.
}
\details{
If \code{x} is \code{NA} then a list with NA as the only
  element and a "groupid" attribute of an empty data.frame is
  returned.
}
